Mackie Firewire Pour Onyx
+
Price engine
Classified Ads
Forums

Vista Support On Mackie Products

  • Like
  • Tweet
  • +1
  • Pin it
  • Submit
  • Email

Mackie has announced Vista support for the Onyx FireWire Card and added Vista 64 support for all FireWire devices.


Users of Mackie FireWire interfaces such as the Onyx Satellite, d.Pro Series DJ Mixers and now the Onyx FireWire card can now have support under the Windows Vista operating system. This update includes feature updates from the previous build.

The following FireWire interfaces are compatible with Mackie Audio Driver V1.1.0: Onyx FireWire Card, Onyx Satellite, u.420, u.420d, d.2 Pro, d.4 Pro and TAPCO Link.FireWire.

The Mackie 400F & 1200F are already Vista compatible, no update required. Users who wish to update to Mackie Audio Driver V1.1.0 should visit the respective product page at www.mackie.com.
  • Like
  • Tweet
  • +1
  • Pin it
  • Submit
  • Email

Viewers of this article also read...